Json::ValueInternalArray Class Reference

A simplified deque implementation used internally by Value. More...

`#include <json.h>`

## Classes

struct | IteratorState

## Public Types

enum | { itemsPerPage = 8 }
typedef Value::ArrayIndex | ArrayIndex
typedef unsigned int | PageIndex

## Public Member Functions

| ValueInternalArray (const ValueInternalArray &other)
ValueInternalArray & | operator= (const ValueInternalArray &other)
void | swap (ValueInternalArray &other)
void | clear ()
void | resize (ArrayIndex newSize)
Value & | resolveReference (ArrayIndex index)
Value * | find (ArrayIndex index) const
ArrayIndex | size () const
int | compare (const ValueInternalArray &other) const

## Friends

class | Value
class | ValueIteratorBase

## Detailed Description

A simplified deque implementation used internally by Value.

The documentation for this class was generated from the following file:

- json.h